package com.sky.ioc.controller.information;

import com.sky.ioc.entity.domain.information.FloorConfiguration;
import com.sky.ioc.service.information.FloorConfigurationHistoryService;
import com.sky.ioc.service.information.FloorConfigurationService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Api(tags = "信息管理--楼层地图信息配置")
@Slf4j
@RestController
@RequestMapping("/information")
public class FloorConfigurationController {

    @Autowired
    FloorConfigurationService floorConfigurationService;

    @Autowired
    FloorConfigurationHistoryService floorConfigurationHistoryService;

    @ApiOperation("获取楼层地图信息配置")
    @GetMapping(value = "/floor_configuration")
    public ReturnMsg getById(@RequestParam(name="id") Integer id) {
        return floorConfigurationService.getById(id);
    }

    @ApiOperation("修改楼层地图信息配置")
    @PutMapping(value = "/floor_configuration")
    public ReturnMsg editFloorConfiguration(FloorConfiguration floorConfiguration) {
        return floorConfigurationService.edit(floorConfiguration);
    }
    @ApiOperation("添加楼层地图信息配置")
    @PostMapping(value = "/floor_configuration")
    public ReturnMsg addFloorConfiguration(FloorConfiguration floorConfiguration) {
        return floorConfigurationService.add(floorConfiguration);
    }

    @ApiOperation("删除楼层地图信息配置")
    @DeleteMapping(value = "/floor_configuration")
    public ReturnMsg delFloorConfiguration(@RequestParam(name="id") Integer id) {
        return floorConfigurationService.delById(id);
    }

    @ApiOperation("获取楼层地图信息配置历史记录")
    @GetMapping(value = "/get_floor_configuration_history")
    public ReturnMsg getHistory(@RequestParam(name="floor_configuration_id") Integer floor_configuration_id) {
       // return floorConfigurationHistoryService
        return floorConfigurationHistoryService.getById(floor_configuration_id);
    }
}
