package com.sky.ioc.controller.strategy;

import com.sky.ioc.entity.domain.strategy.MeetingRoom;
import com.sky.ioc.service.strategy.MeetingRoomService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "策略管理")
@Slf4j
@RestController
@RequestMapping("/strategy")
public class StrategyController {

    @Autowired
    MeetingRoomService meetingRoomService;

    @ApiOperation("获取策略列表")
    @GetMapping(value = "")
    public ReturnMsg getStrategyList() {
        return meetingRoomService.getList();
    }
}
