package com.sky.ioc.service.organization.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sky.ioc.entity.domain.organization.Department;
import com.sky.ioc.mapper.organization.DepartmentMapper;
import com.sky.ioc.service.organization.DepartmentService;
import com.sky.ioc.tool.ReturnMsg;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DepartmentServiceImpl implements DepartmentService {

    @Autowired
    DepartmentMapper departmentMapper;

    @Override
    public ReturnMsg getDepartment(Integer departmentId) {
        return ReturnMsg.ok(departmentMapper.selectById(departmentId));
    }

    @Override
    public ReturnMsg getDepartmentList(Integer companyId) {
       List<Department> lists = departmentMapper.selectList(new LambdaQueryWrapper<Department>().eq(Department::getCompany_id,companyId));
        return ReturnMsg.ok(lists);
    }

    @Override
    public ReturnMsg addDepartment(Department department) {
        if(StringUtils.isNotBlank(department.getName())&&department.getCompany_id()!=null){
            return ReturnMsg.ok(departmentMapper.insert(department));
        }else{
            return ReturnMsg.fail("上级公司和部门名称不能为空");
        }
    }

    @Override
    public ReturnMsg editDepartment(Department department) {
        if(StringUtils.isNotBlank(department.getName())&&department.getCompany_id()!=null){
            return ReturnMsg.ok(departmentMapper.updateById(department));
        }else{
            return ReturnMsg.fail("上级公司和部门名称不能为空");
        }
    }

    @Override
    public ReturnMsg deleteDepartment(Integer departmentId) {
        return ReturnMsg.ok(departmentMapper.deleteById(departmentId));
    }
}
